Package jakarta.security.auth.message.callback

# Class PrivateKeyCallback.AliasRequest

java.lang.Object
jakarta.security.auth.message.callback.PrivateKeyCallback.AliasRequest

All Implemented Interfaces:
  `PrivateKeyCallback.Request`

Enclosing class:
  PrivateKeyCallback

public static class PrivateKeyCallback.AliasRequest extends Object implements PrivateKeyCallback.Request

## Constructor Summary

Constructors
Constructor
Description
`AliasRequest(String alias)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getAlias()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AliasRequest

public AliasRequest(String alias)

## Method Details

### getAlias

public String getAlias()